update it to latest version

Asked by Mostafa on 2019-04-18

kindly update it to the latest version, this is the only vnc that worked for me

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu x11vnc Edit question
Assignee:
No assignee Edit question
Solved by:
Mostafa
Solved:
2019-04-20
Last query:
2019-04-20
Last reply:
2019-04-19
Manfred Hampl (m-hampl) said : #1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

Mostafa (sasatefa2009) said : #2

thats not an answer, thats stupidity !

Mostafa (sasatefa2009) said : #3

there would be no need of adding packages to ubuntu as long as they wont be maintained

Lev Lazinskiy (levlaz) said : #4

Hi Mostafa,

Please remember that for the most part, most of the people here are volunteers who are donating their time to help build this project and community.

> thats not an answer, thats stupidity !

Comments like this are not helpful and are harmful to the people who donate their time to try to make this project as good as it can be.

Manfred Hampl (m-hampl) said : #5

1. Please moderate your language.

2. There are different release strategies for operating systems.
Ubuntu has defined its strategy to keep package versions on the level as provided when the release was published, and to provide selected patches when necessary.
If you want an operating system that provides the most recent version of all software packages, then you have to select a different one with "rolling release" strategy, e.g. archlinux.

3. What is wrong with the version of x11vnc in Ubuntu?
The version provided in Ubuntu (0.9.13 for all supported releases since trusty) is the newest one as seen on http://www.karlrunge.com/x11vnc/

4. As you san see from the version number (not containing any "ubuntu" string), the version on Ubuntu has been copied from Debian without any modification. If you want to discuss the version of that package, please contact Debian.org

Mostafa (sasatefa2009) said : #6

sorry for my bad language but I was really pissed trying to configure a VNC connection to my machine.

the original x11vnc by its author is now deprecated, the new repo for it now is this https://github.com/LibVNC/x11vnc

x11vnc is mentioned in the Ubuntu wiki as a way of establishing a VNC connection. So packages like this have to be maintained officially by Ubuntu moderators.

anyway, I am now using a better solution 'RealVNC", so x11vnc is not important for me now.